std (standard resolution) and pro (higher resolution) modes@element_name syntaxmode and aspect_ratio parameters:| Aspect Ratio | Resolution |
|---|---|
| 16:9 | 1280×720 |
| 9:16 | 720×1280 |
| 1:1 | 720×720 |
multi_shots: false)prompt field for video generationimage_urlsmulti_shots: true)multi_prompt array to define multiple shotsimage_urls[0])image_urls (first and/or last frame images), the aspect_ratio parameter becomes optional. The system will automatically adapt the aspect ratio based on the uploaded images, so you don't need to specify it manually.@element_name syntax. Define elements in the kling_elements array:element_input_urls or element_input_video_urls.{
"model": "kling-3.0",
"input": {
"prompt": "In a bright rehearsal room, sunlight streams through the window@element_dog",
"image_urls": [
"https://static.aiquickdraw.com/tools/example/1764851002741_i0lEiI8I.png"
],
"sound": true,
"duration": "5",
"aspect_ratio": "16:9",
"mode": "pro",
"multi_shots": false,
"kling_elements": [
{
"name": "element_dog",
"description": "dog",
"element_input_urls": [
"https://tempfileb.aiquickdraw.com/kieai/market/1770361808044_4RfUUJrI.jpeg",
"https://tempfileb.aiquickdraw.com/kieai/market/1770361848336_ABQqRHBi.png"
]
}
]
}
}{
"model": "kling-3.0",
"input": {
"multi_shots": true,
"image_urls": [
"https://static.aiquickdraw.com/tools/example/1764851002741_i0lEiI8I.png"
],
"duration": "5",
"aspect_ratio": "16:9",
"mode": "pro",
"multi_prompt": [
{
"prompt": "a happy dog in running@element_cat",
"duration": 3
},
{
"prompt": "a happy dog play with a cat@element_dog",
"duration": 3
}
],
"kling_elements": [
{
"name": "element_cat",
"description": "cat",
"element_input_video_urls": [
"https://your-cdn.com/element_video.mp4"
]
},
{
"name": "element_dog",
"description": "dog",
"element_input_urls": [
"https://tempfileb.aiquickdraw.com/kieai/market/1770361808044_4RfUUJrI.jpeg"
]
}
]
}
}pro mode for final output when quality is important, and std mode for faster iterationscurl --location --request POST 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "kling-3.0/video",
"callBackUrl": "https://your-domain.com/api/callback",
"input": {
"prompt": "In a bright rehearsal room, sunlight streams through the window@element_dog",
"image_urls": [
"https://static.aiquickdraw.com/tools/example/1764851002741_i0lEiI8I.png"
],
"sound": true,
"duration": "5",
"aspect_ratio": "16:9",
"mode": "pro",
"multi_shots": false,
"multi_prompt": [
{
"prompt": "a happy dog in running@element_cat",
"duration": 3
},
{
"prompt": "a happy dog play with a cat@element_dog",
"duration": 3
}
],
"kling_elements": [
{
"name": "element_dog",
"description": "dog",
"element_input_urls": [
"https://tempfileb.aiquickdraw.com/kieai/market/1770361808044_4RfUUJrI.jpeg",
"https://tempfileb.aiquickdraw.com/kieai/market/1770361848336_ABQqRHBi.png"
]
},
{
"name": "element_cat",
"description": "cat",
"element_input_video_urls": [
"https://your-cdn.com/element_video.mp4"
]
}
]
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "task_kling-3.0_1765187774173"
}
}